Skip to content

API Reference

Check if a transaction screening exists

GET /transaction_screening https://transaction-api.cable.tech

Authentication

  • Bearer token in the Authorization header

Query parameters

  • screening_id string required

    The unique identifier of the transaction screening

Responses

200 Transaction screening exists

  • screening_id string

    The unique identifier of the transaction screening

  • first_seen string

    This represents the earliest timestamp associated with the transaction screening

    Format date-time

  • last_seen string

    This represents the latest timestamp associated with the transaction screening

    Format date-time

  • organization_id string

    The organization ID for which the transaction screening was found

Errors

  • 401 Unauthorized request
  • 404 Transaction screening does not exist
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string